@import '../../scss/variables';
@import '../../scss/custom-classes';

.LoginHeader {
  display: flex;
  justify-content: flex-end;
}

.CardHeader .CardHeaderLogo svg {
  width: $mobile-logo-width;
  height: $mobile-logo-height;
}

.CustomInputGroup {
  display: flex;

  & > div {
    margin-right: $input-gap-login;

    &:last-child {
      margin-right: 0;
    }

    @include exclude-desktop() {
      margin-right: 0;
      margin-bottom: $input-gap;
    }
  }

  @include exclude-desktop() {
    flex-direction: column;
  }

  input {
    @media screen and (max-width: 991px) {
      width: 100%;
    }
  }
}

.Footer {
  margin: auto;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  margin-top: $login-footer-top;

  @include exclude-desktop() {
    flex-direction: column-reverse;
    align-items: center;
    width: 100%;
    margin-top: 0;
  }

  @extend .custom-link;
}

.LoginContainer {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: $login-container-margin-top;

  @include exclude-desktop() {
    margin-top: 0;
  }
}

.LoginWrapper {
  @include exclude-desktop() {
    width: 100%;
  }
}
